<?php

namespace App\Http\Controllers\API;
use App\Http\Controllers\Controller;
use App\Models\Vehiculos;
use Illuminate\Http\Request;
use Carbon\Carbon;
use Illuminate\Pagination\Paginator;
use Illuminate\Pagination\LengthAwarePaginator;

class VehiculosGroupsController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
       // $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */


    public function vehiculos(Request $request){




        $limit = intval($request->query('limit', 1000));
        return  Vehiculos::paginate($limit);



    }

  

  
        

   


   
}
